import bottle
from services.basicservice import BasicService
import os
from servicestub import ServiceStub
from singleton import Singleton


class ExitGate(BasicService, metaclass=Singleton):
    def __init__(self):
        super().__init__(os.path.dirname(os.path.abspath(__file__)))
        self.servicePath = '/barcodes/add'

    def registerRoutes(self, servicestub: ServiceStub):
        self.log.info('Регистрация сервиса')
        self._loadCases('cases.json')

        servicestub.route(self.servicePath, method='GET', callback=self.barcode)

    def barcode(self):
        self.log.info('Параметры url: %s' % bottle.request.query_string)
        return self._createResponse(self.servicePath)


instance = ExitGate()
