import bottle
import xml.etree.ElementTree as ET

import os

from services.basicservice import BasicService
from servicestub import ServiceStub
from singleton import Singleton


class RsLoyalty(BasicService, metaclass=Singleton):
    rsloyaltyPath = "/rsloyalty"

    def __init__(self):
        super().__init__(os.path.dirname(os.path.abspath(__file__)))
        
    def registerRoutes(self, servicestub: ServiceStub):
        self._loadCases('cases.json')
        servicestub.route(RsLoyalty.rsloyaltyPath, method='POST', callback=self.rsloyaltyCallback)

    def rsloyaltyCallback(self):
        headerAction = str(bottle.request.get_header('SOAPAction'))
        action = headerAction.split('/')[-1]
        self.log.info("Действие: %s", action)

        return self._createResponse(action)

instance = RsLoyalty()
